KEA-DHCP-DDNS(8)

NAME
kea-dhcp-ddns - DHCP-DDNS process in Kea

SYNOPSIS

kea-dhcp-ddns [-v] [-V] [-W] [-d] [-s]

DESCRIPTION

The kea-dhcp-ddns service process requests to update DNS mapping based on DHCP lease change events. The service may run either as a Kea module (integrated mode) or as a individual process (stand-alone mode) dependent upon command line arguments. The default is integrated mode. Stand alone operation is strictly for development purposes and is not suited for production.

ARGUMENTS

The arguments are as follows:

-v
    Display the version.

-V
    Display the extended version.

-W
    Display the configuration report.

-d
    Verbose mode sets the logging level to debug. This is primarily for development purposes in stand-alone mode.

-c
    Configuration file including the configuration for DHCP-DDNS server. It may also contain configuration entries for other Kea services.

HISTORY

The b10-dhcp-ddns process was first coded in May 2013 by the ISC Kea/DHCP team.

Kea became a standalone server and the BIND10 framework was removed. The DHCP-DDNS server binary was renamed to kea-dhcp-ddns in July 2014.

COPYRIGHT
Copyright © 2014-2015 Internet Systems Consortium, Inc. ("ISC")